summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJonathan Bauer2020-05-25 15:38:15 +0200
committerJonathan Bauer2020-05-25 15:38:15 +0200
commitff8b26d5d5df007cce70cf7d406f3e186430a8bf (patch)
tree055682317ef8f1bf0a19ecc4f86f6dc722426343
parentcleanup dev-tools/ (diff)
downloadsystemd-init-ff8b26d5d5df007cce70cf7d406f3e186430a8bf.tar.gz
systemd-init-ff8b26d5d5df007cce70cf7d406f3e186430a8bf.tar.xz
systemd-init-ff8b26d5d5df007cce70cf7d406f3e186430a8bf.zip
build-initramfs: exit if compiling any dependencies fail
-rwxr-xr-xbuild-initramfs.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/build-initramfs.sh b/build-initramfs.sh
index 3ff67f6e..4966d0d4 100755
--- a/build-initramfs.sh
+++ b/build-initramfs.sh
@@ -475,7 +475,10 @@ main() {
# Initialize and exit if we are only preparing the build environment
. "${_repo_dir}/modules.d/dnbd3-rootfs/helper/build.inc"
- build_initialize_components
+ if ! build_initialize_components; then
+ echo 'Failed to build required components for dnbd3-rootfs.'
+ exit 1
+ fi
if [ "$initialize" = "yes" ]; then
echo "Initialization succeeded."
exit 0